See Stacksync in action with a solution architect. Book a demo ↗
Syncs

Syncs

Get association change capture status

GET
/v1/workspaces/{workspace_id}/bases/{base_id}/association-cdc-status

Whether each HubSpot association table of a sync captures its changes from HubSpot rollup properties, and the rollup properties still to create in HubSpot. Reads HubSpot live, so it can take a few seconds.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

base_id*string

The sync.

Formatuuid

Query Parameters

region*Regions

The region of the sync

Value in"besg""usnv"

Response Body

OK

application/json
  1. response

GET /bases/<base_id>/association-cdc-status

base_id*Base Id
app_id*App Id

The HubSpot app of the sync

tables*array<>
Get association change capture status
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/association-cdc-status?region=besg'
{  "base_id": "<base_id>",  "app_id": "<app_id>",  "tables": [    {      "table_mapping_id": "<table_mapping_id>",      "table_name": "<table_name>",      "status": "enabled",      "rollup_host_friendly_name": "<rollup_host_friendly_name>",      "expected_property_labels": [        "<expected_property_labels>"      ],      "missing_property_labels": [        "<missing_property_labels>"      ]    }  ]}